| Home | Libraries | People | FAQ | More

## Struct template result<This(First, Second)>

boost::xpressive::op::make_pair::result<This(First, Second)>

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    template<typename This, typename First, typename Second>
    struct result<This(First, Second)> {
      // types
      typedef std::pair< typename remove_const< typename remove_reference< First >::type >::type, typename remove_const< typename remove_reference< Second >::type >::type > type;
    };